import 'package:flex/expose.dart';
import 'package:plexus/plexus.dart';

/// Example class with [HasModule]
class Calculator with HasModule {
  /// Returns the result of multiplying [a] with [b]
  num multiply(num a, num b) {
    final result = a * b;
    log(Level.FINEST, result);
    return result;
  }

  @override
  final UnmodifiableListView<String> package = const UnmodifiableListView(['plexus', 'example', 'calculator']);
}
