import 'package:plexus/plexus.dart';

/// A function used to generate a [Module]
typedef ModuleBuilder = Module Function(List<String> package, Level level);

/// A function that handles [Event]
typedef EventHandler = void Function(Event event);

/// Represents a test used to validate user input given [context] representing past input and [input].
typedef InputTest = bool Function(List<String> context, String input);
